Name: qarecord
Version: 0.0.9
Release: alt0.5

Summary: QARecord is a simple multithreaded stereo recording tool
Summary(ru_Ru.KOI8-R): QARecord --       
Group: Sound
License: GPL
Url: http://www.suse.de/~mana/kalsatools.html
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.suse.com/pub/people/mana/%name-%version.tar.bz2
#Source1: %name-48x48.xpm
#Source2: %name-32x32.xpm
#Source3: %name-16x16.xpm

%define jack_ver 0.75.0

Requires: libjack >= %jack_ver
BuildPreReq: jackit-devel >= %jack_ver

# Automatically added by buildreq on Fri Aug 22 2003
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ jackit-devel libGLwrapper libalsa-devel libexpat libjpeg liblcms libmng libqt3-devel libstdc++-devel

%description
QARecord is a simple multithreaded stereo recording tool. It can record
both 16 bit and 32 bit WAVs. By using a large ringbuffer for the
captured data, buffer overruns are avoided. QARecord can also be used as
JACK client. 

%description -l ru_Ru.KOI8-R
QARecord --       .  
   16-,   32- WAV-.   
        
  . QARecord     JACK-.

%define qtdir %_libdir/qt3

%prep
%setup -q
find -type f -print0 |xargs -r0 %__subst 's,sys/\(asoundlib.h\),alsa/\1,' --
find -type f -print0 |xargs -r0 %__subst 's,^[[:blank:]]*$,,g' --
%__subst 's,\(^CXXFLAGS.*\),\1 \$(RPM_OPT_FLAGS),' make_%name 

%build
%make_build QT_LIB_DIR=%qtdir/lib -f make_%name 

%install
%__install -pD %name %buildroot%_bindir/%name

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/Sound" \
title="QARecord" longtitle="A simple stereo recording tool" \
command="%_bindir/%name" icon="%name.xpm"
__MENU__

%__install -pD -m644 %name.menu %buildroot/%_menudir/%name

# icons
#%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
#%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
#%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
#%_iconsdir/*.xpm
#%_iconsdir/*/*/*.xpm
%_menudir/%name
#%doc README

%changelog
* Fri Aug 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.0.9-alt0.5
- First build for Sisyphus. 
- summary, description by avp.
